Fehler nach Update- NextcloudPi

Hallo,
ich bin mit meiner Installation ziemlich verloren und hoffe auf Eure Hilfe.
Nach nc-update - von oder auf 22.2.10.2. bekomme ich einen nur noch einen weissen screen auf den web-clients.

Das Web habe ich inzwischen gefĂŒhlt erfolglos leergesurft und weiss nicht mehr weiter.

Nachdem nun nichts mehr geht, apache2 aberlÀuft, fand ich nach langem herumprobieren diese Fehlermeldung: ?

Cannot load Zend OPcache - it was already loaded
PHP Fatal error: Interface ‘Psr\Container\ContainerInterface’ not found in /var /www/nextcloud/lib/private/AppFramework/Utility/SimpleContainer.php on line 46

Hier hab ich keinen Hauch von Ahnung, wie ich das lösen könnte.

Meine Installation:
Raspi 4 - Nextcloudpi mit buster - lokale Installation
nc-Daten auf einem USB-Stick ausgelagert.
Apache 2.4.38 (Debian > Server loaded: APR 1.6.5, APR-UTIL 1.6.1
PHP 7.3.31

Da nc automatisch beim Update ein Backups dabei erstellt, hatte ich mir tiefergehend keine Gedanken gemacht. Die Installation lÀuft seit langem und ich machte sporadische Updates ohne Probleme.

Aktuell komme ich auch mit Restore und Backup mit ncd-config nicht weiter. Es kommt teilw. dieselbe Fehlermeldung.

Bevor ich nun wieder komplett anfangen muss den Familienserver neu zu installieren, vielleicht hat mir jemand einen Tip wie ich die Installation retten könnte?
Danke
Holunderhannes

Wow. Da hast du es definitiv geschafft auf unerforschtem Gebiet zu landen.

GrundsĂ€tzlich empfehle ich dir, wenn die Angaben in deinem Post stimmen dir zu ĂŒberlegen ob dein Server nicht etwas mehr Pflege benötigt um einen sicheren Betrieb zu gewĂ€hrleisten.

Also, wenn du ein regulĂ€res update aktuell angestoßen hast, landest du eigentlich bei nextcloud 24 und einem update von PHP auf 8.1.
Das könnte auch das Thema sein, wenn du als Distribution noch buster verwendest. Da empfehle ich dir dringend auf bullseye das Upgrade zu machen.

Aber dazu muss die Kiste natĂŒrlich erstmal laufen. Zum Thema mit dem ZendOpcache ist aber schon ein paar mal im forum aufgetaucht. Da mĂŒsste sich etwas dazu finden.

Vielleicht hilft dir das weiter No access to Nextcloud by browser after update to 1.36.2 / httpd down / Cannot load Zend OPcache - #3 by ZendaiOwl

Hallo REAPERSbattlecry, oh weh.
Ich habe mir das angeschaut und auch zend0 in der php.ini auskommentiert. Jedoch hat dies keinerlei Einfluss gehabt.

Bezgl. Pflege hast Du sicher recht. Update Betriebssytem hat bei mir selten reibungslos geklappt, daher vermied ich es immer möglichst lange. Nun habe ich den Salat


Beim Update scheint hier mehr nicht funktioniert zu haben und vermutlich ist dieser Fehler nur der erste von vielen.

Kann ein ĂŒberinstallieren helfen und wie starten ?

FĂŒr eine Neuinstallation - wie schaffe ich ein restore meiner auf dem Daten auf dem USB-Stick?
Theoretisch muesste das Backup ja da sein.
Gruss und Danke
Holunderhannes

Hallo Holunderhannes,

ich empfehle dir mach dich schlau unter https://docs.nextcloudpi.com/.
Das Dokumentationsteam von Nextcloudpi ist unglaublich fleißig und beschreibt echt viele Themen.

Konkret ist der Artikel der dich betrifft wohl der: How to restore NextCloudPi Backup using web panel
Das Backup rausbekommen kannst mit einem USB-Stick machen. Geht mit Debian Bordmitteln. Das lÀsst sich relativ gut in der Suchmaschine deines Vertrauens finden.

Hallo REAPERSbattlecry,
bisher habe ich an den bekannten Stellen noch kein backupfile gefunden, es bleibt spannend.
Die kommenden Tage werde ich keine Zeit haben, mich um nc zu kĂŒmmern
Ich melde mich wie’s weiter geht.
Gruss und Danke
Holunderhannes